<?xml version="1.0" encoding="utf-8"?>

<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->

<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tool="http://schemas.android.com/tools"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	android:paddingBottom="16dp">

	<com.google.android.material.appbar.AppBarLayout
		android:id="@+id/app_bar_layout"
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:fitsSystemWindows="true">

		<com.google.android.material.appbar.CollapsingToolbarLayout
			android:id="@+id/collapsing_layout"
			style="?attr/collapsingToolbarLayoutMediumStyle"
			android:layout_width="match_parent"
			android:layout_height="?attr/collapsingToolbarLayoutMediumSize"
			app:layout_scrollFlags="scroll|exitUntilCollapsed|snap"
			app:maxLines="2">

			<com.google.android.material.appbar.MaterialToolbar
				android:id="@+id/departures_app_bar"
				android:layout_width="match_parent"
				android:layout_height="?attr/actionBarSize"
				android:elevation="0dp"
				app:layout_collapseMode="pin"
				app:menu="@menu/departures_menu" />

		</com.google.android.material.appbar.CollapsingToolbarLayout>

		<com.google.android.material.progressindicator.LinearProgressIndicator
			android:id="@+id/departures_updates_progress"
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			android:layout_marginStart="4dp"
			android:layout_marginEnd="4dp"
			android:indeterminate="true"
			android:visibility="gone" />

	</com.google.android.material.appbar.AppBarLayout>

	<androidx.recyclerview.widget.RecyclerView
		android:id="@+id/departures_recycler"
		android:layout_width="match_parent"
		android:layout_height="match_parent"
		android:layout_marginTop="8dp"
		android:clipToPadding="false"
		app:layout_behavior="@string/appbar_scrolling_view_behavior"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@id/alerts" />

	<androidx.constraintlayout.widget.ConstraintLayout
		android:id="@+id/departures_overlay"
		android:layout_width="match_parent"
		android:layout_height="match_parent">

		<com.google.android.material.progressindicator.CircularProgressIndicator
			android:id="@+id/departures_progress"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:indeterminate="true"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent" />

		<ImageView
			android:id="@+id/error_image"
			android:layout_width="92dp"
			android:layout_height="92dp"
			android:visibility="gone"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent"
			tool:ignore="ContentDescription"
			tool:src="@drawable/error_net" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/error_text"
			android:layout_width="0dp"
			android:layout_height="wrap_content"
			android:layout_marginStart="16dp"
			android:layout_marginTop="8dp"
			android:layout_marginEnd="16dp"
			android:textAlignment="center"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
			android:visibility="gone"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/error_image"
			tool:text="No connection" />
	</androidx.constraintlayout.widget.ConstraintLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>